#32/64
# spec file for package gmtp

Name:           gmtp
Version:        1.3.11
Release:        %mkrel 2
Summary:        A simple MP3 and Media player client
License:        BSD-3-Clause
Group:          Sound
URL:            http://gmtp.sourceforge.net/
Source0:        %{name}-%{version}.tar.xz
Patch0:         gmtp-1.3.11-fno-common.patch
#-----------------------------------------------
BuildRequires:  intltool
BuildRequires:  %{_lib}atk1.0-devel
BuildRequires:  %{_lib}cairo-devel
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(libmtp)
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:  %{_lib}tiff-devel
BuildRequires:  %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires:  %{_lib}glib2.0_0-devel
BuildRequires:  %{_lib}gtk+3.0-devel
BuildRequires:  %{_lib}gtk+2.0_0-devel
BuildRequires:  GConf2-devel
#-----------------------------------------------
Requires: gtk+3.0
#-----------------------------------------------
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root


%description
gMTP is a client for accessing MTP devices.

%prep
%setup -q
sed -i 's/\r$//' COPYING
%apply_patches

%build
intltoolize --automake --copy --force
autoreconf --install --force

%configure2_5x --with-gtk3

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name} %{?no_lang_C}

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas
%{_datadir}/applications/gmtp.desktop
%{_datadir}/pixmaps/gmtpicon.png

%changelog
* Tue Dec 27 2022 yodelu - 1.3.11-2pclos2022
- rebuild against updates

* Tue Nov 14 2017 bb2 <bb2> - 1.3.11-1pclos2017
- new version

* Sun May 14 2017 bb2 <bb2> - 1.3.10-2pclos2017
- fix schema location

* Mon May 08 2017 Agent Smith <ruidobranco@yahoo.com.br>    1.3.10-1pclos2017
- update, changed the location of the file gmtp.schemas

* Sun Nov 22 2015 Agent Smith <ruidobranco@yahoo.com.br>    1.3.9-1pclos2015
- update

* Sat Aug 16 2014 bb <bb> 1.3.7-1pclos2014
- update

* Tue Mar 11 2014 bb <bb> 1.3.5-1pclos2014
- update

* Sat Jan 11 2014 bb <bb> 1.3.4-1pclos2014
- create package for pclos
